PIRL.Database

## Class SQL.Undoable_Edit_Listener

- java.lang.Object
- - PIRL.Database.SQL.Undoable_Edit_Listener

All Implemented Interfaces:
  EventListener, UndoableEditListener

Enclosing class:
  SQL

    protected class SQL.Undoable_Edit_Listener
    extends Object
    implements UndoableEditListener

### Constructor Summary

Constructors
`protected` `SQL.Undoable_Edit_Listener()`

### Method Summary

Methods
`void` `undoableEditHappened(UndoableEditEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SQL.Undoable_Edit_Listener

    protected SQL.Undoable_Edit_Listener()

### Method Detail

#### undoableEditHappened

    public void undoableEditHappened(UndoableEditEvent event)

Specified by:
  `undoableEditHappened` in interface `UndoableEditListener`